Subject: BIRD21 - Waveform Table Number of Entries

From: [email-masked] ( Bob Ross)
Date: Sat, 29 Oct 94 17:11 PDT

IBIS Members:

BIRD21 takes care of a specification omission discovered by Paul Munsey.

Bob Ross,
Interconnectix, Inc.

*****************************************************************************

*****************************************************************************
                 Buffer Issue Resolution Document  (BIRD)

BIRD ID#:                21
ISSUE TITLE:             Waveform Table Minimum Number of Entries
REQUESTOR:               Bob Ross, Interconnectix, Inc.
DATE SUBMITTED:          29 October 1994 
DATE REVISED:            
DATE ACCEPTED BY IBIS OPEN FORUM:    Pending

******************************************************************************

******************************************************************************

STATEMENT OF THE ISSUE:

All V/I data tables require at least two entries.  The minimum required
entries for waveform tables is not explicitly specified.

******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

The [Rising Waveform], [Falling Waveform] keyword description contains an
additional sentence designated by "|**" to require at least two table
entries for each waveform described.  Note, the change approved by
BIRD19.1 is still shown by "|*". 

|============================================================================== 
|     Keywords:     [Rising Waveform], [Falling Waveform]
|     Required:     No
|     Description:  Describes the shape of the rising and falling edge 
|                   waveforms of a driver.
|*     Sub-Params:   R_fixture, V_fixture, V_fixture_min, V_fixture_max, 
|*                   C_fixture, L_fixture,
|                   R_dut, L_dut, C_dut
|     Usage Rules:  Each [Rising Waveform] and [Falling Waveform] keyword 
|                   introduces a table of time vs. voltage points that
|                   describe the shape of an output waveform.  These
|                   time/voltage points are taken under the conditions 
|                   specified in the R/L/C/V_fixture and R/L/C_dut
|                   sub-parameters.  The table itself consists of
|                   one column of time points, then three columns of
|                   voltage points in the standard typ, min, and max format. 
|                   The four entries must be placed on a single line and
|                   must be separated by at least one white space or tab
|                   character.  All four columns are required.  However, data 
|                   is only required in the typical column.  If minimum
|                   or maximum data is not available, use the reserved word
|                   "NA".  The first value in the time column need not be '0'. 
|                   Time values must increase as one parses down the table.
|                   The waveform table can contain a maximum of 100 data
|                   points.  A maximum of 100 waveform tables are allowed per
|                   model.  Note that for backwards compatibility, the existing 
|                   [Ramp] keyword is still required.
|
|                   A waveform table must include the entire waveform;
|                   i.e., the first entry (or entries) in a voltage column 
|                   must be the DC voltage of the output before switching 
|                   and the last entry (or entries) of the column must be 
|                   the final DC value of the output after switching.
|**                  Each table must contain at least two entries.
|
|                   A [Model] specification can contain more than one rising 
|                   edge or falling edge waveform table.  However, each new 
|                   table must begin with the appropriate keyword and sub-
|                   parameter list as shown below.  If more than one rising or 
|                   falling edge waveform table is present, then the data in
|                   each of the respective tables must be time correlated. 
|                   In other words, the rising (falling) edge data in each 
|                   of the rising (falling) edge waveform tables must be
|                   entered with respect to a common reference point on the 
|                   input stimulus waveform.
|
|                   The 'fixture' sub-parameters specifies the loading
|                   conditions under which the waveform is taken.  The R_dut, 
|                   C_dut, and L_dut Sub-params are analogous to the
|                   package parameters R_pkg, C_pkg and L_pkg and are used 
|                   if the waveform includes the effects of pin
|                   inductance/capacitance.  The diagram below shows the 
|                   interconnection of these elements.
|
|                      PACKAGE            |   TEST FIXTURE 
|       _________                         |
|      |  DUT    |   L_dut   R_dut        | L_fixture  R_fixture
|      |  die    |---@@@@@--/\/\/\--o-----|--@@@@---o---/\/\/\----- V_fixture 
|      |_________|                  |     |         |
|                                   |     |         | 
|                                   |     |         |
|                            C_dut ===    |        === C_fixture 
|                                   |     |         |
|                                   |     |         | 
|                                  GND    |        GND 
|
|                   Only the R_fixture and V_fixture sub-parameters are
|                   required, the rest of the sub-parameters are optional. 
|                   If a sub-parameter is not used, its value defaults to
|                   zero.  The sub-parameters must appear in the text after 
|                   the keyword and before the first row of the waveform
|                   table.
|
|*                   V_fixture defines the voltage for typ, min and max
|*                   supply conditions.  However, when the fixture voltage 
|*                   is related to the power supply voltages, then the
|*                   sub-parameters V_fixture_min and V_fixture_max can 
|*                   be used to further specify the fixture voltage for 
|*                   min and max supply voltages.
|*
|------------------------------------------------------------------------------ 
[Rising Waveform]
R_fixture = 500
V_fixture = 5.0
|* V_fixture_min = 4.5           |Note, R_fixture is connected to Vcc
|* V_fixture_max = 5.5           |Specified, but not used in this example 
C_fixture = 50p
L_fixture = 2n
C_dut = 7p
R_dut = 1m
L_dut = 1n
|Time     V(typ)     V(min)     V(max)
 0.0ns     0.3        0.5         NA
 0.5ns     0.3        0.5         NA
 1.0ns     0.6        0.7         NA
 1.5ns     0.9        0.9         NA
 2.0ns     1.5        1.3         NA
 2.5ns     2.1        1.7         NA
 3.0ns     3.0        2.7         NA
 3.5ns     3.2        3.0         NA
|
[Falling Waveform]
R_fixture = 50
V_fixture = 0
|Time     V(typ)     V(min)     V(max)
 10.0ns     3.2        3.0         NA 
 10.5ns     3.0        2.7         NA 
 11.0ns     2.1        1.7         NA 
 11.5ns     1.5        1.3         NA 
 12.0ns     0.9        0.9         NA 
 12.5ns     0.6        0.7         NA 
 13.0ns     0.3        0.5         NA 
 13.5ns     0.3        0.5         NA
|
|=============================================================================

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION

Paul Munsey indicated that no minimum number of Waveform table entries were
explicitly specified.  This addition creates an explicit requirement similar
to the documentation of the [Pullup], [Pulldown], [Power Clamp] and 
[Gnd Clamp] tables.  As a minimum, two entries could define the starting
and ending points of the total ramp transition and be compatible with
the [Ramp] keyword specification.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION